#pragma once

#include "Program.hpp"

namespace pass {
    /// To screen texture pass
    class UIProgram: public Program {
    public:
        UIProgram();
        ~UIProgram();

    protected:
        std::string getName() const override;
        void bindTexture(GLuint textureID);

    private:
        GLuint TextureID;
    };
}
